# These settings are synced to GitHub by https://probot.github.io/apps/settings/

repository:
  # See https://developer.github.com/v3/repos/#edit for all available settings.

  # The name of the repository. Changing this will rename the repository
  name: mgmt

  # A short description of the repository that will show up on GitHub
  description: Next generation distributed, event-driven, parallel config management!

  # A URL with more information about the repository
  homepage: https://purpleidea.com/tags/mgmtconfig/

  # A comma-separated list of topics to set on the repository
  topics: golang, go, configuration-management, config-management, devops, etcd, distributed-systems, graph-theory, choreography

  # Either `true` to make the repository private, or `false` to make it public.
  private: false

  # Either `true` to enable issues for this repository, `false` to disable them.
  has_issues: true

  # Either `true` to enable projects for this repository, or `false` to disable them.
  # If projects are disabled for the organization, passing `true` will cause an API error.
  has_projects: false

  # Either `true` to enable the wiki for this repository, `false` to disable it.
  has_wiki: false

  # Either `true` to enable downloads for this repository, `false` to disable them.
  has_downloads: true

  # Updates the default branch for this repository.
  default_branch: master

  # Either `true` to allow squash-merging pull requests, or `false` to prevent
  # squash-merging.
  allow_squash_merge: false

  # Either `true` to allow merging pull requests with a merge commit, or `false`
  # to prevent merging pull requests with merge commits.
  allow_merge_commit: false

  # Either `true` to allow rebase-merging pull requests, or `false` to prevent
  # rebase-merging.
  allow_rebase_merge: true

# Labels: define labels for Issues and Pull Requests (in alphabetical order)
labels:
  - name: bug
    color: fc2929
  - name: confirmed
    color: d93f0b
  - name: design
    color: 5319e7
  - name: duplicate
    color: cccccc
  - name: enhancement
    color: 84b6eb
  - name: good first issue
    color: 7057ff
  - name: help wanted
    color: 159818
  - name: invalid
    color: e6e6e6
  - name: mgmtlove
    color: e11d21
  - name: question
    color: cc317c
  - name: needinfo
    color: fbca04
  - name: wontfix
    color: ffffff
#  - name: first-timers-only
#    # include the old name to rename an existing label
#    oldname: Help Wanted

# Collaborators: give specific users access to this repository.
#collaborators:
#  - username: purpleidea
#    # Note: Only valid on organization-owned repositories.
#    # The permission to grant the collaborator. Can be one of:
#    # * `pull` - can pull, but not push to or administer this repository.
#    # * `push` - can pull and push, but not administer this repository.
#    # * `admin` - can pull, push and administer this repository.
#    permission: push

#  - username: hubot
#    permission: pull

# NOTE: The APIs needed for teams are not supported yet by GitHub Apps
# https://developer.github.com/v3/apps/available-endpoints/
#teams:
#  - name: core
#    permission: admin
#  - name: docs
#    permission: push
